﻿using JetBrains.ProjectModel.Properties;
using JetBrains.ReSharper.AspTests;
using JetBrains.ReSharper.Psi;
using JetBrains.ReSharper.Psi.CSharp;
using NUnit.Framework;

namespace ReSharperAspHighlightingTest
{
    public class SampleTest : AspHighlightingTestBase
    {
        protected override ProjectLanguage ProjectLanguage
        {
            get { return ProjectLanguage.CSHARP; }
        }

        protected override PsiLanguageType CompilerIdsLanguage
        {
            get { return CSharpLanguage.Instance; }
        }
        protected override string RelativeTestDataPath
        {
            get { return "Asp"; }
        }

        [Test]
        public void TestSample()
        {
            DoNamedTest();
        }
    }
}